Bug 31564 - 7.0 -> 7.1 default server upgrade: need 5M on /boot
7.0 -> 7.1 default server upgrade: need 5M on /boot
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
alpha Linux
medium Severity high
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-03-12 15:29 EST by Ben Levenson
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-04-20 11:26:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ben Levenson 2001-03-12 15:29:27 EST
build qa0310.0
TUI FTP upgrade 7.0 -> 7.1 won't complete due to lack of 
space on '/boot' -- 5 M too short.
The system was originally installed as 7.0 server with the 
default package group selection and auto partitioning.
disk information -- from default 7.0 install:
df -h:
Filesystem            Size  Used Avail Use% Mounted on
/dev/sda5             249M   72M  164M  31% /
/dev/sda1              16M   12M  4.3M  73% /boot
/dev/sda3             3.7G   44k  3.4G   1% /home
/dev/sda2             3.7G  473M  3.0G  14% /usr
/dev/sda4             249M   21M  215M   9% /var
fdisk -l:
Disk /dev/sda: 64 heads, 32 sectors, 8678 cylinders
Units = cylinders of 2048 * 512 bytes

6 partitions:
#       start       end      size     fstype   [fsize bsize   cpg]
  a:        2        18        17       ext2                      
  b:       19      3849      3831       ext2                      
  c:     3850      7680      3831       ext2                      
  d:     7681      7937       257       ext2                      
  e:     7938      8194       257       ext2                      
  f:     8195      8451       257       swap
Comment 1 Michael Fulbright 2001-03-14 11:24:03 EST
What is the problem? You need more space apparently.
Comment 2 Ben Levenson 2001-03-14 16:00:10 EST
I wasn't expecting any space related errors during the upgrade, especially
since it was a default server install with more than sufficient drive
resources _AND_ the original partitioning scheme was created with the 
auto-partitioning feature in 7.0.  The details of the original partition map
are listed above.  
Comment 3 Michael Fulbright 2001-03-20 00:15:52 EST
What are the contents of /boot?  It seems like alot of space is being taken up.

I modified the autopartitioning some time ago for 7.1 to make /boot larger, btw,
so this should not be a future problem.
Comment 4 Brent Fox 2001-04-10 18:01:06 EDT
Do you have any more information on this bug?
Comment 5 Michael Fulbright 2001-04-20 11:26:27 EDT
The 2.4 kernel has apparently pushed the sizes so that the automatically choosen
values for /boot in previous releases is not large enough.  We've fixed this in
the 7.1 installer for new installs.  For your case perhaps you can move the
/boot directory to your /?  Or you could make a boot floppy for your old
installation, remove the contects from /boot, and try upgrading.  Unfortunately
you'll run into this problem again when you try to upgrade next time if you try
this option.

Marking this as NOTABUG since it is accurately reporting you don't have enough
disk space, and we have corrected the allocation problem for 7.1 installs.

Sorry for the inconvenience this has caused, I hope one of my suggestions will
Comment 6 Ben Levenson 2001-06-28 15:11:32 EDT

Note You need to log in before you can comment on or make changes to this bug.